#![allow(dead_code)]

// TODO: Implement a nice API for system calls.
// I don't want to have to define the argument/return value registers twice 
// per architecture. How do I make this work?

pub enum SyscallArgs {
    Args0(),
    Args1(usize),
    Args2(usize, usize),
    Args3(usize, usize, usize),
    Args4(usize, usize, usize, usize),
    Args5(usize, usize, usize, usize, usize),
    Args6(usize, usize, usize, usize, usize, usize)
}

#[repr(u16)]
pub enum SyscallError {
    Ok = 0,
    SyscallNotExist = 1,
    FileNotExist = 2,
    ProcessNotExist = 3,
    PermissionDenied = 4,
    Aborted = 5,
}